#include "G4FemaleBuilder.h"
#include "G4VBodyFactory.h"

G4FemaleBuilder::G4FemaleBuilder() {}

G4FemaleBuilder::~G4FemaleBuilder()

{
    delete body;
}

void G4FemaleBuilder::BuildUterus(const G4String& colourName, G4bool solidVis, G4bool sensitivity)

{
    if (trunkVolume == 0)
        G4Exception("G4FemaleBuilder::BuildUterus()", "human_phantom0006", FatalException,
                    "The trunk volume is missing !!!!!");

    body->CreateOrgan("Uterus", trunkVolume, colourName, solidVis, sensitivity);
}

void G4FemaleBuilder::BuildLeftOvary(const G4String& colourName, G4bool solidVis, G4bool sensitivity)

{
    if (trunkVolume == 0)
        G4Exception("G4FemaleBuilder::BuildLeftOvary()", "human_phantom0007", FatalException,
                    "The trunk volume is missing !!!!!");

    body->CreateOrgan("LeftOvary", trunkVolume, colourName, solidVis, sensitivity);
}

void G4FemaleBuilder::BuildRightOvary(const G4String& colourName, G4bool solidVis, G4bool sensitivity)

{
    if (trunkVolume == 0)
        G4Exception("G4FemaleBuilder::BuildRightOvary()", "human_phantom0008", FatalException,
                    "The trunk volume is missing !!!!!");

    body->CreateOrgan("RightOvary", trunkVolume, colourName, solidVis, sensitivity);
}

void G4FemaleBuilder::BuildLeftBreast(const G4String& colourName, G4bool solidVis, G4bool sensitivity) {
    if (motherVolume == 0)
        G4Exception("G4FemaleBuilder::BuildLeftBreast()", "human_phantom0009", FatalException,
                    "The world volume is missing !!!!!");

    body->CreateOrgan("LeftBreast", motherVolume, colourName, solidVis, sensitivity);
}

void G4FemaleBuilder::BuildRightBreast(const G4String& colourName, G4bool solidVis, G4bool sensitivity) {
    if (motherVolume == 0)
        G4Exception("G4FemaleBuilder::BuildRightBreast()", "human_phantom0010", FatalException,
                    "The world volume is missing !!!!!");

    body->CreateOrgan("RightBreast", motherVolume, colourName, solidVis, sensitivity);
}
